<!DOCTYPE html>
<html>
    <head>
        <meta charset="utf-8">
        <meta http-equiv='X-UA-Compatible' content="IE=edge">
        <title>Custom Element Extendido</title>
        <meta name='viewport' content="width=device-width, initial-scale=1">
        <link rel="stylesheet" type="text/css" media="screen" href="./css/estilo.css">
        
    </head>
    <body>
        <h1 id="mi-id">Externo</h1>
        <template>
            <style>
                :host{
                display: block;
                border: 1px solid green;
                margin-bottom: 2rem;
                }

                h1#mi-id {
                margin-left: 1rem;
                margin-right: 1rem;
                border: 1px solid green;
                }
            </style>
            <h1 id="mi-id">Hola, mi template</h1>
            <p>¿Como estas?</p>
        </template>
        <mi-saludo></mi-saludo>
        <script src="./script/componente.js"></script>
    </body>

</html>